OpenTTD Source: Data Fields - Enumerator

OpenTTD Source 15.3

Here is a list of all documented enum values with links to the struct/union documentation for each field:

### - a -

- ALWAYS : TimerGameRealtime
- AUTOSAVE : TimerGameRealtime

### - b -

- BP_HIDE_BUTTONS : VehicleListWindow
- BP_NORMAL : VehicleListWindow
- BP_SHARED_ORDERS : VehicleListWindow
- BP_SHOW_BUTTONS : VehicleListWindow

### - c -

- CR_MATCH : MD5File
- CR_MISMATCH : MD5File
- CR_NO_FILE : MD5File
- CR_UNKNOWN : MD5File
- CWP_RELOCATE_HIDE : CompanyWindow
- CWP_RELOCATE_SHOW : CompanyWindow
- CWP_VB_BUILD : CompanyWindow
- CWP_VB_VIEW : CompanyWindow

### - d -

- DP_BOTTOM_MIDDLE_DELETE : OrdersWindow
- DP_BOTTOM_MIDDLE_STOP_SHARING : OrdersWindow
- DP_GROUNDVEHICLE_ROW_CONDITIONAL : OrdersWindow
- DP_GROUNDVEHICLE_ROW_NORMAL : OrdersWindow
- DP_LEFT_LOAD : OrdersWindow
- DP_LEFT_REFIT : OrdersWindow
- DP_MIDDLE_SERVICE : OrdersWindow
- DP_MIDDLE_UNLOAD : OrdersWindow
- DP_RIGHT_EMPTY : OrdersWindow
- DP_RIGHT_REFIT : OrdersWindow
- DP_ROW_CONDITIONAL : OrdersWindow
- DP_ROW_DEPOT : OrdersWindow
- DP_ROW_LOAD : OrdersWindow
- DT_BEGIN : Driver
- DT_END : Driver
- DT_MUSIC : Driver
- DT_SOUND : Driver
- DT_VIDEO : Driver
- DUPLICATE : SocialIntegrationPlugin

### - e -

- EA_MULTIPLIER : IndustryViewWindow
- EA_NONE : IndustryViewWindow
- EA_RATE : IndustryViewWindow
- EMPTY : GRFTempEngineData

### - f -

- FAILED : SocialIntegrationPlugin

### - g -

- GR_CARGO : StationViewWindow
- GR_DESTINATION : StationViewWindow
- GR_NEXT : StationViewWindow
- GR_SOURCE : StationViewWindow

### - i -

- IL_MULTIPLIER : IndustryViewWindow
- IL_NONE : IndustryViewWindow
- IL_RATE1 : IndustryViewWindow
- IL_RATE2 : IndustryViewWindow
- INV_CARGO : StationViewWindow
- INV_FLOWS : StationViewWindow
- INVALID_SIGNATURE : SocialIntegrationPlugin
- ITER_CHARACTER : StringIterator
- ITER_WORD : StringIterator

### - k -

- KEEP_SEPARATOR : StringConsumer

### - m -

- MODE_PLANNED : StationViewWindow
- MODE_WAITING : StationViewWindow
- MPSMIDIST_ENDSONG : MpsMachine
- MPSMIDIST_SEGMENT_CALL : MpsMachine
- MPSMIDIST_SEGMENT_RETURN : MpsMachine
- MTA_DELIVER : CargoList< Tinst, Tcont >
- MTA_KEEP : CargoList< Tinst, Tcont >
- MTA_LOAD : CargoList< Tinst, Tcont >
- MTA_TRANSFER : CargoList< Tinst, Tcont >

### - n -

- NONE : TimerGame< T >, TimerGameTick
- NONEMPTY : GRFTempEngineData

### - p -

- PCWHK_FOCUS_FILTER_BOX : PickerWindow
- PFM_ALL : PickerWindow
- PFM_SAVED : PickerWindow
- PFM_USED : PickerWindow
- PLATFORM_NOT_RUNNING : SocialIntegrationPlugin

### - r -

- READ_ALL_SEPARATORS : StringConsumer
- READ_ONE_SEPARATOR : StringConsumer
- RUNNING : SocialIntegrationPlugin

### - s -

- SEL_DC_BASEPLANE : VehicleViewWindow
- SEL_DC_CLONE : VehicleViewWindow
- SEL_DC_GOTO_DEPOT : VehicleViewWindow
- SEL_RT_BASEPLANE : VehicleViewWindow
- SEL_RT_REFIT : VehicleViewWindow
- SEL_RT_TURN_AROUND : VehicleViewWindow
- SKIP_ALL_SEPARATORS : StringConsumer
- SKIP_ONE_SEPARATOR : StringConsumer
- SQSL_ARRAY : ScriptInstance
- SQSL_ARRAY_TABLE_END : ScriptInstance
- SQSL_BOOL : ScriptInstance
- SQSL_INSTANCE : ScriptInstance
- SQSL_INT : ScriptInstance
- SQSL_NULL : ScriptInstance
- SQSL_STRING : ScriptInstance
- SQSL_TABLE : ScriptInstance
- SS_BIG : Scrollbar
- SS_RAW : Scrollbar
- SS_SMALL : Scrollbar
- SSS_DEFAULT : ScriptConfig
- SSS_FORCE_GAME : ScriptConfig
- SSS_FORCE_NEWGAME : ScriptConfig
- STATUS_ACTIVE : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_AUTH_GAME : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_AUTHORIZED : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_DONE_MAP : ServerNetworkGameSocketHandler
- STATUS_ENCRYPTED : ClientNetworkGameSocketHandler
- STATUS_END : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_IDENTIFY : ServerNetworkGameSocketHandler
- STATUS_INACTIVE : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_JOIN : ClientNetworkGameSocketHandler
- STATUS_MAP : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_MAP_WAIT : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_NEWGRFS_CHECK : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_PRE_ACTIVE : ServerNetworkGameSocketHandler

### - t -

- TEX_REMAP : OpenGLSprite
- TEX_RGBA : OpenGLSprite

### - u -

- UNLOADED : SocialIntegrationPlugin
- UNPAUSED : TimerGameRealtime
- UNSET : GRFTempEngineData
- UNSUPPORTED_API : SocialIntegrationPlugin

### - w -

- WO_CACHED : VehicleResolverObject
- WO_NONE : VehicleResolverObject
- WO_SELF : VehicleResolverObject
- WO_UNCACHED : VehicleResolverObject

### - z -

- ZLC_INITIALIZE : SmallMapWindow
- ZLC_ZOOM_IN : SmallMapWindow
- ZLC_ZOOM_OUT : SmallMapWindow